Page MenuHomePhabricator

Replace usage of deprecated Title::isValidMoveOperation in SpecialPageTranslationMovePage::checkMoveBlockers
Closed, ResolvedPublic

Description

Title::isValidMoveOperation has been deprecated in MW 1.25

See https://www.mediawiki.org/wiki/Release_notes/1.25

Title::isValidMoveOperation() broken down into MovePage::isValidMove() and MovePage::checkPermissions().

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterReplace uses of deprecated Title::isValidMoveOperation

Event Timeline

abi_ created this task.Aug 12 2019, 11:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 11:04 AM
Nikerabbit triaged this task as High priority.Aug 27 2019, 8:29 PM

Change 545729 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Replace uses of deprecated Title::isValidMoveOperation

https://gerrit.wikimedia.org/r/545729

Change 545729 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Replace uses of deprecated Title::isValidMoveOperation

https://gerrit.wikimedia.org/r/545729

abi_ added a comment.Oct 29 2019, 3:09 PM

After this change, blockers encountered during moving of a translatable page will be shown like this,

abi_ closed this task as Resolved.Oct 31 2019, 8:15 AM

Tested this on Translatewiki.net and on the MLEB testing instance. Works fine.